<?php

namespace App\Entity;

use App\Repository\EmojiRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: EmojiRepository::class)]
class Emoji
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $nom = null;

    #[ORM\Column(length: 255)]
    private ?string $code = null;

    #[ORM\Column]
    private ?float $force = null;

    #[ORM\Column]
    private ?float $robustesse = null;

    #[ORM\Column]
    private ?float $intelligence = null;

    #[ORM\Column]
    private ?float $vitesse = null;

    #[ORM\Column]
    private ?int $nbCombatGagne = null;

    #[ORM\Column]
    private ?int $rarete = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getNom(): ?string
    {
        return $this->nom;
    }

    public function setNom(string $nom): self
    {
        $this->nom = $nom;
        return $this;
    }

    public function getCode(): ?string
    {
        return $this->code;
    }

    public function setCode(string $code): self
    {
        $this->code = $code;
        return $this;
    }

    public function getForce(): ?float
    {
        return $this->force;
    }

    public function setForce(float $force): self
    {
        $this->force = $force;
        return $this;
    }

    public function getRobustesse(): ?float
    {
        return $this->robustesse;
    }

    public function setRobustesse(float $robustesse): self
    {
        $this->robustesse = $robustesse;
        return $this;
    }

    public function getIntelligence(): ?float
    {
        return $this->intelligence;
    }

    public function setIntelligence(float $intelligence): self
    {
        $this->intelligence = $intelligence;
        return $this;
    }

    public function getVitesse(): ?float
    {
        return $this->vitesse;
    }

    public function setVitesse(float $vitesse): self
    {
        $this->vitesse = $vitesse;
        return $this;
    }

    public function getNbCombatGagne(): ?int
    {
        return $this->nbCombatGagne;
    }

    public function setNbCombatGagne(int $nbCombatGagne): self
    {
        $this->nbCombatGagne = $nbCombatGagne;
        return $this;
    }

    public function getRarete(): ?int
    {
        return $this->rarete;
    }

    public function setRarete(int $rarete): self
    {
        $this->rarete = $rarete;
        return $this;
    }
}
